<?php
/*
 * ----------------------------------------------------------------------------
 * Email-DispMsg.php                                                 07/15/2003
 * This script will display all of the user's email messages.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include the main configuration variable.
require_once('layout_email.inc.php');               // Webpage header and footer.

if (($USER['userno'] == 0) || ($USER['userno'] == $CONFIG['guestacct']) || ($USER['securitylevel'] == 0)) die(VA_LoginError());
$userno = $USER['userno'];

$db = SetEmailInfo($userno);                // Setup the email database information.
// Determine if the user has access to this section.
if (!DbAccess($db)) die('<br /><h4>You do not have access to this section. Please press the BACK button on your browser.</h4>');

$msgno  = $db['msgno'];                     // Retrieve the number of messages.
$msgcnt = GetEmailCount($userno);           // Retrieve the number of user messages.
$msgcnt = $msgcnt['msgno'];

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = intval($_GET['m']);
} else {
    $m = $msgno;
}

if ($m > $msgno) $m = $msgno;

EmailHeader();                              // Display the webpage header.
?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="33" width="750">
            <table border="0" style="border-collapse: collapse" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                    <td align="left" width="100%">
                        <span class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db['desc']); ?></span></td>
                    <?php if (($USER['userno'] != 0) && ($USER['securitylevel'] >= $VA_MAIN['emlothers'])) { ?>
                    <form action="post-email.php" name="post" method="POST">
                        <td align="right">
                            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                            <input type="hidden" name="reply" value="0">
                            <input type="image" name="submit" src="./../images/email.gif" border="0" alt="Send a New Email" width="90" height="25">
                        </td>
                    </form>
                    <?php } ?>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="msgHeader" width="30" height="15" bgcolor="#000080"></td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="left">&nbsp;From&nbsp;</td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="left">&nbsp;To&nbsp;</td>
        <td class="msgHeader" width="370" height="15" bgcolor="#000080" align="left">&nbsp;Subject&nbsp;</td>
        <td class="msgHeader" width="150" height="15" bgcolor="#000080" align="center">&nbsp;Date/Time&nbsp;</td>
    </tr>
<?php
// Set the fileString variable.
$file    = $VA_SYSPATHS['db'] . '/' . $db['filename'] . '.DAT';
if (!is_file($file)) die('<br /><h4>Requested database is missing. Please press the BACK button on your browser.</h4>');
$fileString = ReadCfgFile($file);    // Read the file.

// Run the loop that will display the messages.
for ($x = $m; $x >= 0; $x--) {
    if ($msgcnt == 0) {
        print "<tr><td colspan=\"5\"><p align=\"left\"><br /><span class=\"heading\">You have no messages.</span><br /><br /></p></td></tr>\n";
        break;
    }

    if ($x <= 0) break;
    $msgInfo = FindMessageInfo($db, $x, $fileString);   // Get the message information.
    $dateTime = ConvertDateTime($msgInfo['creation']);

    if ($msgInfo['touserno'] == $userno) {
        if ($msgInfo['fromhandle'] == '') {
            $from = 'Unknown';
        } else {
            $from = $msgInfo['fromhandle'];
            $pos = strpos($from, '@');                      // Check for email address.
            if (is_int($pos)) $from = substr($from, 0, $pos);
            $from = trim($from);
            $char = substr($from, 0, 1);
            if ($char == '<') $from = substr($from, 1);
            if ($char == "\"") {
                $pos = strpos($from, "\"", 1);
                $from = substr($from, 1, $pos - 1);
            }
            $from = trim(htmlspecialchars($from));
        }

        if ($msgInfo['subject'] == '') {
            $subject = 'No Subject';
        } else {
            $subject = htmlspecialchars(StripBBSCodes($msgInfo['subject']));
        }

        $to = $msgInfo['tohandle'];
        $pos = strpos($to, '@');                            // Check for email address.
        if (is_int($pos)) $to = substr($to, 0, $pos);
        $to = trim($to);
        $char = substr($to, 0, 1);
        if ($char == '<') $to = substr($to, 1);
        if ($char == "\"") {
            $pos = strpos($to, "\"", 1);
            $to = substr($to, 1, $pos - 1);
        }
        $to = trim(htmlspecialchars($to));
?>
    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" <?php if ($msgInfo['deleted'] == 1) {print "src=\"./../images/message-deleted.gif\" alt=\"Message Marked for Deletion\"";} else if ($msgInfo['offline'] == 0) {print "src=\"./../images/message-new.gif\" alt=\"New Message\"";} else {print "src=\"./../images/message.gif\" alt=\"Message\"";} ?> width="11" height="11"><?php if ($msgInfo['attfilename'] != '') print "<img border=\"0\" src=\"./../images/paperclip.gif\" alt=\"Attached File\" width=\"11\" height=\"11\">"; ?></span></td>
        <td width="100" height="30" align="left">
            <span class="boldBody">&nbsp;<?php print $from; ?>&nbsp;</span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="left">
            <span class="body">&nbsp;<?php print $to; ?>&nbsp;</span></td>
        <td width="370" height="30" align="left">
            <?php if ($msgInfo['offline'] == 1) {print "<span class=\"heading2\">";} else {print "<span class=\"heading\">";} ?>&nbsp;<a href="email-viewmsg.php?m=<?php print $x . "\">" . $subject; ?></a></span></td>
        <td width="150" height="30" bgcolor="#E2E2E2" align="center">
            <span class="body">&nbsp;<?php print $dateTime['date']; ?></span><span class="msgTime">&nbsp;<?php print $dateTime['time']; ?>&nbsp;</span></td>
    </tr>
<?php
    }
}
?>
    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25" width="748">&nbsp;</td>
    </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<?php

EmailFooter();                              // Display the webpage footer.

?>
