<?php
/*
 * ----------------------------------------------------------------------------
 * Email-ViewMsg.php                                                 07/15/2003
 * This script will display the selected email message to the user.
 * The variable $m is passed to the script to set the message number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */
 
require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once($includeDir . 'va-main.inc.php');      // Include main configuration variable.
require_once('layout_email.inc.php');               // Webpage header and footer.

if (($USER['userno'] == 0) || ($USER['userno'] == $CONFIG['guestacct']) || ($USER['securitylevel'] == 0)) die(VA_LoginError());
$userno = $USER['userno'];

if (isset($_GET['h'])) {                    // Set the passed variables.
    $h = intval($_GET['h']);
} else {
    $h = 0;
}

$db = SetEmailInfo($userno);                // Retrieve the database information.

$msgno  = $db['msgno'];                     // Retrieve the number of messages.
if ($msgno == 0) die('<br /><h4>Invalid message. Please press the BACK button on your browser.</h4>');
$msgcnt = GetEmailCount($userno);           // Retrieve the number of user messages.
$msgcnt = $msgcnt['msgno'];
if ($msgcnt == 0) die('<br /><h4>Invalid message. Please press the BACK button on your browser.</h4>');

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = intval($_GET['m']);
} else {
    $m = $msgno;
}

if ($m > $msgno) $m = $msgno;

$msgInfo = GetMessageInfo($db, $m);         // Get the message information.
if ($msgInfo['touserno'] != $userno) die('<br /><h4>You do not have access to this message. Press the BACK button on your browser.</h4>');

// Check for delete message flag.
if (isset($_GET['delete'])) {
    if ($_GET['delete'] == 1) {
        // If an attached file, then delete it. Non-reversible!
        if ($msgInfo['attfilename'] != '') {
            if ($CONFIG['hostname'] != '') {
                $file = ConvertDir($CONFIG['hostname'], $db['filepath']) . '/' . $msgInfo['attfilename'];
            } else {
                $file = $db['filepath'] . '/' . $msgInfo['attfilename'];
            }
            
            if ($msgInfo['attfilepath'] == '') {
                if (is_file($file)) unlink($file);
            } else {
                if ($CONFIG['hostname'] != '') {
                    $userDir = ConvertUnc($VA_SYSPATHS['sysop'] . '/' . $USER['userno'] . '/' . $msgInfo['attfilename']);
                } else {
                    $userDir = $VA_SYSPATHS['sysop'] . '/' . $USER['userno'] . '/' . $msgInfo['attfilename'];
                }
                if ($msgInfo['attfilepath'] == $userDir) {
                    if ($CONFIG['hostname'] != '') {
                        $file = ConvertDir($CONFIG['hostname'], $msgInfo['attfilepath']);
                    } else {
                        $file = $msgInfo['attfilepath'];
                    }
                }
                if (is_file($file)) unlink($file);
            }
            $msgInfo['attfilesize'] = 0;
            $msgInfo['attfilename'] = '';
            $msgInfo['attfilepath'] = '';
        }
        $msgInfo['deleted'] = 1;
        WriteMessageInfo($db, $m, $msgInfo);
        RedirectUser('email-dispmsg.php');
    } else if ($_GET['delete'] == 0) {
        $msgInfo['deleted'] = 0;
        WriteMessageInfo($db, $m, $msgInfo);
    }
}

EmailHeader();                              // Display the webpage header.
?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
            <a class="msgBack" href="email-dispmsg.php">Back to <?php print $db['desc']; ?></a></td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="33" width="750">
            <table border="0" style="border-collapse: collapse" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                    <td align="left" width="100%">
                        <span class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db['desc']); ?></span></td>
                    <?php if (($USER['userno'] != 0) && ($USER['securitylevel'] >= $VA_MAIN['emlothers'])) { ?>
                    <form action="post-email.php" name="post" method="POST">
                        <td align="right">
                            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                            <input type="hidden" name="reply" value="0">
                            <input type="image" name="submit" src="./../images/email.gif" border="0" alt="Send a New Email" width="90" height="25">
                        </td>
                    </form>
                    <form action="post-email.php" name="reply" method="POST">
                        <td align="right">
                            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                            <input type="hidden" name="reply" value="<?php print $m; ?>">
                            <input type="image" name="submit" src="./../images/reply.gif" border="0" alt="Reply to this Message" width="51" height="25">
                        </td>
                    </form>
                    <?php } ?>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="msgHeader" width="30" height="15" bgcolor="#000080"></td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="left">&nbsp;From&nbsp;</td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="left">&nbsp;To&nbsp;</td>
        <td class="msgHeader" width="370" height="15" bgcolor="#000080" align="left">&nbsp;Subject&nbsp;</td>
        <td class="msgHeader" width="150" height="15" bgcolor="#000080" align="center">&nbsp;Date/Time&nbsp;</td>
    </tr>
<?php

$dateTime = ConvertDateTime($msgInfo['creation']);
// Check for any files.
if ($msgInfo['attfilename'] != '') {
    if ($msgInfo['attfilepath'] != '') {    // If a local attachment.
        $filepath = str_replace('/', "\\", $msgInfo['attfilepath']);
        $pos = strrpos($filepath, "\\");
        $filepath = substr($filepath, 0, $pos);
    } else {
        $filepath = $db['filepath'];
    }
    if ($CONFIG['filehost'] != '') {
        $file = ConvertDir($CONFIG['hostname'], $filepath) . '/' . $msgInfo['attfilename'];
    } else {
        $file = $filepath . '/' . $msgInfo['attfilename'];
    }
} else {
    $file = '';
}

if ($file != '') {
    if (!is_file($file)) {
        $filesize = '0 bytes';
    } else {
        $filesize = filesize($file);
        if ($filesize >= 1024000) {
            $filesize = round($filesize / 1048576, 1) . 'MB';
        } elseif ($filesize >= 1024) {
            $filesize = intval($filesize / 1024) . 'KB';
        } else {
            $filesize = $filesize . ' bytes';
        }
    }
}

if ($msgInfo['fromhandle'] == '') {
    $from = 'Unknown';
} else {
    $from = $msgInfo['fromhandle'];
    $pos = strpos($from, '@');                      // Check for email address.
    if (is_int($pos)) $from = substr($from, 0, $pos);
    $from = trim($from);
    $char = substr($from, 0, 1);
    if ($char == '<') $from = substr($from, 1);
    if ($char == "\"") {
        $pos = strpos($from, "\"", 1);
        $from = substr($from, 1, $pos - 1);
    }
    $from = trim(htmlspecialchars($from));
}

if ($msgInfo['subject'] == '') {
    $subject = 'No Subject';
} else {
    $subject = htmlspecialchars(StripBBSCodes($msgInfo['subject']));
}

$to = $msgInfo['tohandle'];
$pos = strpos($to, '@');                        // Check for email address.
if (is_int($pos)) $to = substr($to, 0, $pos);
$to = trim($to);
$char = substr($to, 0, 1);
if ($char == '<') $to = substr($to, 1);
if ($char == "\"") {
    $pos = strpos($to, "\"", 1);
    $to = substr($to, 1, $pos - 1);
}
$to = trim(htmlspecialchars($to));
?>
    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" <?php if ($msgInfo['deleted'] == 0) {print "src=\"./../images/message.gif\" alt=\"Message\"";} else {print "src=\"./../images/message-deleted.gif\" alt=\"Message Marked for Deletion\"";} ?> width="11" height="11"><?php if ($msgInfo['attfilename'] != '') print "<img border=\"0\" src=\"./../images/paperclip.gif\" alt=\"Attached File\" width=\"11\" height=\"11\">"; ?></td>
        <td width="100" height="30" align="left">
            <span class="boldBody">&nbsp;<?php print $from; ?>&nbsp;</span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="left">
            <span class="body">&nbsp;<?php print $to; ?>&nbsp;</span></td>
        <td width="370" height="30" align="left">
            <span class="heading">&nbsp;<?php print $subject; ?>&nbsp;</span></td>
        <td width="150" height="30" bgcolor="#E2E2E2" align="center">
            <span class="body">&nbsp;<?php print $dateTime['date']; ?></span><span class="msgTime">&nbsp;<?php print $dateTime['time']; ?>&nbsp;</span></td>
    </tr>
<?php
$message = HTMLEncode(StripANSICodes(StripBBSCodes(GetMessage($db, $m, $h))));   // Get the message to display.
?>
    <tr>
        <td width="750" align="left" colspan="5" valign="top">
<?php
if ($msgInfo['deleted'] == 1) {
    print "<span class=\"msgBack\">(Message Marked for Deletion)</span><span class=\"body\"> - </span>\n";
    print "<span class=\"msgBack\"><a href=\"email-viewmsg.php?m=" . $m . "&delete=0\">UnMark this Message for Deletion</a></span>\n";
} else {
    print "<span class=\"msgBack\"><a href=\"email-viewmsg.php?m=" . $m . "&delete=1\">Mark this Message for Deletion</a></span>\n";
}
// If there is an attached file, then display its link.
if ($file != '') {
?>
    <form name="download" action="./../download.php" method="POST">
        <input type="hidden" name="t" value="email">
        <input type="hidden" name="d" value="email">
        <input type="hidden" name="m" value="<?php print $m; ?>">
        <input type="image" value="Download" src="./../images/download.gif" alt="Download <?php print $msgInfo['attfilename']; ?>" width="80" height="25" align="absmiddle">
        <span class="filename">&nbsp;Attached file: <?php print $msgInfo['attfilename']; ?></span><span class="filesize"> (<?php print $filesize; ?>)</span>
    </form>
<?php
} else {
    print '<br />';
}
?>
            <pre><?php print $message; ?></pre>
        </td>
    <tr>
        <td class="msgHeader" bgcolor="#416DBF" align="left" colspan="5" height="25" width="748">
            <?php
            if (($h == '') || ($h == 0)) {
                print "&nbsp;<a class=\"msgHeader\" href=\"email-viewmsg.php?m=" . $m . "&h=1" . "\">Strip HTML Tags</a>";
            } else {
                print "&nbsp;<a class=\"msgHeader\" href=\"email-viewmsg.php?m=" . $m . "\">Show HTML Tags</a>";
            }
            ?>
        </td>
    </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
            <a class="msgBack" href="email-dispmsg.php">Back to <?php print $db['desc']; ?></a></td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<?php
// Update the message as read if not already marked and send oneliner.
if ($msgInfo['offline'] == 0) {
    $msgInfo['offline'] = 1;
    WriteMessageInfo($db, $m, $msgInfo);
    
    if ($msgInfo['fromnetid'] == 1) {
        $msg = $USER['handle'] . ' #' . $USER['userno'] . ' Read Email: ' . $subject . date("  D M j, Y G:i:s");
        WriteOneliner($msgInfo['fromuserno'], $msg);
    }
}

EmailFooter();                              // Display the webpage footer.

?>
