<?php
/*
 * ----------------------------------------------------------------------------
 * Files-DispMsg.php                                                 07/15/2003
 * This script will display a list of messages that are available in the
 * selected database.
 * The variable $t is passed to the script to set the topic number.
 * The variable $d is passed to the script to set the database number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once('layout_files.inc.php');               // Webpage footer and header.

if (isset($_GET['t'])) {                    // Set the passed variables.
    $t = intval($_GET['t']);
} else {
    $t = 10;
}

if (isset($_GET['d'])) {                    // Set the passed variables.
    $d = intval($_GET['d']);
} else {
    $d = 1;
}

if ($t < 1) $t = 1;
if ($d < 1) $d = 1;

$topic = GetTopicInfo($t, 'F');             // Retrieve the topic information.
// If this is an invalid section, display an error message.
if (!$topic) die('<br /><h4>Invalid topic. Please press the BACK button on your browser.</h4>');

$db = GetDBInfo($t, $d);                    // Retrieve the database information.
// Determine if the user has access to this section.
if (!DbAccess($db)) die('<br /><h4>You do not have access to this section. Please press the BACK button on your browser.</h4>');

if (strlen($db['desc']) >= 31) $db['desc'] = $db['desc'] . '...';

$msgno = $db['msgno'];                      // Retrieve the number of messages.

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = intval($_GET['m']);
} else {
    $m = $msgno;
}
if ($m > $msgno) $m = $msgno;

FilesHeader();                              // Display the webpage header.
?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
<?php
if ($m > 25) {
    $num = $m - 25;
    $cnt = 25;
    if ($num < 25) $cnt = $num;
    print "<a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous " . $cnt . "</a> |\n";
}

if ($m < $msgno) {
    $num = $m + 25;
    if ($num > $msgno) $num = $msgno;
    $cnt = 25;
    if (($msgno - $m) < 25) $cnt = ($msgno - $m);
    print "<a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next " . $cnt . "</a> |\n";
}
print "<a class=\"msgBack\" href=\"files-dispdb.php?t=" . $t . "\">Back to " . htmlspecialchars($topic['desc']) . "</a>\n";
?>
        </td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td class="msgTitle" colspan="5" bgcolor="#416DBF" height="33" width="750">
            &nbsp;&nbsp;<?php print htmlspecialchars($db['desc']); ?></td>
    </tr>
    <tr>
        <td class="msgHeader" width="30" height="15" bgcolor="#000080"></td>
        <td class="msgHeader" width="385" height="15" bgcolor="#000080" align="left">&nbsp;Description</td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="center">&nbsp;Filename</td>
        <td class="msgHeader" width="60" height="15" bgcolor="#000080" align="center">&nbsp;Size</td>
        <td class="msgHeader" width="175" height="15" bgcolor="#000080" align="center">Date/Time/Uploader</td>
    </tr>
<?php
// Set the fileString variable.
$file    = $VA_SYSPATHS['db'] . '/' . $db['filename'] . '.DAT';
if (!is_file($file)) die('<br /><h4>Requested database is missing. Please press the BACK button on your browser.</h4>');
$fileString = ReadCfgFile($file);    // Read the file.

// Run the loop that will display the messages.
for ($x = $m; $x >= ($m - 24); $x--) {
    if ($msgno == 0) {
        print "<tr><td colspan=\"5\"><p align=\"left\"><br /><span class=\"heading\">There are no files in this database.</span><br /><br /></p></td></tr>\n";
        break;
    }

    if ($x <= 0) break;
    $msgInfo = FindMessageInfo($db, $x, $fileString);   // Get the message information.
    $dateTime = ConvertDateTime($msgInfo['creation']);

    if ($msgInfo['fromhandle'] == '') {
        $from = 'Unknown';
    } else {
        $from = $msgInfo['fromhandle'];
        $pos = strpos($from, '@');                      // Check for email address.
        if (is_int($pos)) $from = substr($from, 0, $pos);
        $from = trim($from);
        $char = substr($from, 0, 1);
        if ($char == '<') $from = substr($from, 1);
        if ($char == "\"") {
            $pos = strpos($from, "\"", 1);
            $from = substr($from, 1, $pos - 1);
        }
        $from = trim(htmlspecialchars($from));
    }

    if ($msgInfo['subject'] == '') {
        $subject = 'No Subject';
    } else {
        $subject = htmlspecialchars(StripBBSCodes($msgInfo['subject']));
    }

    if ($msgInfo['attfilename'] != '') {
        if ($CONFIG['filehost'] != '') {
            $file = ConvertDir($CONFIG['hostname'], $db['filepath']) . '/' . $msgInfo['attfilename'];
        } else {
            $file = $db['filepath'] . '/' . $msgInfo['attfilename'];
        }
    } else {
        $file = '';
    }

if ($file != '') {
    if (!is_file($file)) {
        $filesize = '0 bytes';
    } else {
        $filesize = filesize($file);
        if ($filesize >= 1024000) {
            $filesize = round($filesize / 1048576, 1) . 'MB';
        } elseif ($filesize >= 1024) {
            $filesize = intval($filesize / 1024) . 'KB';
        } else {
            $filesize = $filesize . ' bytes';
        }
    }
}
?>
    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" <?php if ($msgInfo['deleted'] == 0) {print "src=\"./../images/message.gif\" alt=\"File\"";} else {print "src=\"./../images/message-deleted.gif\" alt=\"File Marked for Deletion\"";} ?> width="11" height="11"><?php if ($msgInfo['attfilename'] != '') print "<img border=\"0\" src=\"./../images/paperclip.gif\" alt=\"Attached File\" width=\"11\" height=\"11\">"; ?></td>
        <td width="385" height="30" align="left">
            <span class="heading">&nbsp;<a href="files-viewmsg.php?t=<?php print $t . "&d=" . $d . "&m=" . $x . "\">" . $subject; ?></a>&nbsp;</span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="center">
            <span class="boldBody">&nbsp;<?php print htmlspecialchars($msgInfo['attfilename']); ?>&nbsp;</span></td>
        <td width="60" height="30" align="center">
            <span class="body">&nbsp;<?php print $filesize; ?>&nbsp;</span></td>
        <td width="175" height="30" bgcolor="#E2E2E2" align="center">
            <span class="body">&nbsp;<?php print $dateTime['date']; ?></span><span class="msgTime">&nbsp;<?php print $dateTime['time']; ?></span><br /><span class="body">by </span><span class="boldBody"><?php print $from; ?>&nbsp;</span></td>
    </tr>
<?php
}
?>
    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25" width="748">&nbsp;</td>
    </tr>
</table>
<?php
// Setup the previous/next links.
?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
<?php
if ($m > 25) {
    $num = $m - 25;
    $cnt = 25;
    if ($num < 25) $cnt = $num;
    print "<a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous " . $cnt . "</a> |\n";
}

if ($m < $msgno) {
    $num = $m + 25;
    if ($num > $msgno) $num = $msgno;
    $cnt = 25;
    if (($msgno - $m) < 25) $cnt = ($msgno - $m);
    print "<a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next " . $cnt . "</a> |\n";
}
print "<a class=\"msgBack\" href=\"files-dispdb.php?t=" . $t . "\">Back to " . htmlspecialchars($topic['desc']) . "</a>\n";
?>
        </td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<?php

FilesFooter();                              // Display the webpage footer.

?>
