<?php
/*
 * ----------------------------------------------------------------------------
 * Files-ViewMsg.php                                                 07/15/2003
 * This script will display the selected message to the user.
 * The variable $t is passed to the script to set the topic number.
 * The variable $d is passed to the script to set the database number.
 * The variable $m is passed to the script to set the message number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once('layout_files.inc.php');               // Webpage header and footer.

if (isset($_GET['t'])) {                    // Set the passed variables.
    $t = intval($_GET['t']);
} else {
    $t = 10;
}

if (isset($_GET['d'])) {                    // Set the passed variables.
    $d = intval($_GET['d']);
} else {
    $d = 1;
}

if (isset($_GET['h'])) {                    // Set the passed variables.
    $h = intval($_GET['h']);
} else {
    $h = 0;
}

if ($t < 1) $t = 1;
if ($d < 1) $d = 1;

$db = GetDbInfo($t, $d);                    // Retrieve the database information.

$msgno = $db['msgno'];                      // Retrieve the number of messages.
if ($msgno == 0) die('<br /><h4>Invalid file. Please press the BACK button on your browser.</h4>');

if (strlen($db['desc']) >= 31) $db['desc'] = $db['desc'] . '...';

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = intval($_GET['m']);
} else {
    $m = $msgno;
}
if ($m > $msgno) $m = $msgno;

// Determine if the user has access to this section.
if (!DbAccess($db)) die('<br /><h4>You do not have access to this section. Please press the BACK button on your browser.</h4>');

$topic = GetTopicInfo($t, 'F');             // Retrieve the topic information.
// If this is an invalid section, display an error message.
if ($topic == '') die('<br /><h4>Invalid topic. Please press the BACK button on your browser.</h4>');

FilesHeader();                              // Display the webpage header.
?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">
<?php
if ($m > 1) {
    $num = $m - 1;
    print "<a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous Message</a> |\n";
}

if ($m < $msgno) {
    $num = $m + 1;
    print "<a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next Message</a> |\n";
}
print "<a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "\">Back to " . htmlspecialchars($db['desc']) . "</a>\n";
?>
        </td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="33" width="750">
            <span class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db['desc']); ?></span></td>
    </tr>
    <tr>
        <td class="msgHeader" width="30" height="15" bgcolor="#000080"></td>
        <td class="msgHeader" width="385" height="15" bgcolor="#000080" align="left">&nbsp;Description&nbsp;</td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="center">&nbsp;Filename&nbsp;</td>
        <td class="msgHeader" width="60" height="15" bgcolor="#000080" align="center">&nbsp;Size&nbsp;</td>
        <td class="msgHeader" width="175" height="15" bgcolor="#000080" align="center">&nbsp;Date/Time/Uploader&nbsp;</td>
    </tr>
<?php
$msgInfo = GetMessageInfo($db, $m);         // Get the message information.
$dateTime = ConvertDateTime($msgInfo['creation']);
// Check for any files.
if ($msgInfo['attfilename'] != '') {
    if ($db['filepath'] != '') {
        if ($CONFIG['filehost'] != '') {
            $file = ConvertDir($CONFIG['hostname'], $db['filepath']) . '/' . $msgInfo['attfilename'];
        } else {
            $file = $db['filepath'] . '/' . $msgInfo['attfilename'];
        }
    } else {
        $file = $VA_SYSPATHS['sysop'] . '/' . $msgInfo['attfilename'];
    }
} else {
    $file = '';
}

if ($file != '') {
    if (!is_file($file)) {
        $filesize = '0 bytes';
    } else {
        $filesize = filesize($file);
        if ($filesize >= 1024000) {
            $filesize = round($filesize / 1048576, 1) . 'MB';
        } elseif ($filesize >= 1024) {
            $filesize = intval($filesize / 1024) . 'KB';
        } else {
            $filesize = $filesize . ' bytes';
        }
    }
}

if ($msgInfo['fromhandle'] == '') {
    $from = 'Unknown';
} else {
    $from = $msgInfo['fromhandle'];
    $pos = strpos($from, '@');                      // Check for email address.
    if (is_int($pos)) $from = substr($from, 0, $pos);
    $from = trim($from);
    $char = substr($from, 0, 1);
    if ($char == '<') $from = substr($from, 1);
    if ($char == "\"") {
        $pos = strpos($from, "\"", 1);
        $from = substr($from, 1, $pos - 1);
    }
    $from = trim(htmlspecialchars($from));
}

if ($msgInfo['subject'] == '') {
    $subject = 'No Subject';
} else {
    $subject = htmlspecialchars(StripBBSCodes($msgInfo['subject']));
}
?>
    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" <?php if ($msgInfo['deleted'] == 0) {print "src=\"./../images/message.gif\" alt=\"File\"";} else {print "src=\"./../images/message-deleted.gif\" alt=\"File Marked for Deletion\"";} ?> width="11" height="11"><?php if ($msgInfo['attfilename'] != '') print "<img border=\"0\" src=\"./../images/paperclip.gif\" alt=\"Attached File\" width=\"11\" height=\"11\">"; ?></td>
        <td width="385" height="30" align="left">
            <span class="heading">&nbsp;<?php print $subject; ?>&nbsp;</span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="center">
            <span class="boldBody">&nbsp;<?php print htmlspecialchars($msgInfo['attfilename']); ?>&nbsp;</span></td>
        <td width="60" height="30" align="center">
            <span class="body">&nbsp;<?php print $filesize; ?>&nbsp;</span></td>
        <td width="175" height="30" bgcolor="#E2E2E2" align="center">
            <span class="body">&nbsp;<?php print $dateTime['date']; ?></span><span class="msgTime">&nbsp;<?php print $dateTime['time']; ?></span><br /><span class="body">by </span><span class="boldBody"><?php print $from; ?>&nbsp;</span></td>
    </tr>
<?php
$message = HTMLEncode(StripANSICodes(StripBBSCodes(GetMessage($db, $m))));   // Get the message to display.
?>
    <tr>
        <td width="750" align="left" colspan="5" valign="top">
<?php
if ($msgInfo['deleted'] == 1) print "<span class=\"msgBack\">(Message Marked for Deletion)</span>\n";
// If there is an attached file, then display its link.
if ($file != '') {
?>
    <form name="download" action="./../download.php" method="POST">
        <input type="hidden" name="t" value="<?php print $t; ?>">
        <input type="hidden" name="d" value="<?php print $d; ?>">
        <input type="hidden" name="m" value="<?php print $m; ?>">
        <input type="image" value="Download" src="./../images/download.gif" alt="Download <?php print $msgInfo['attfilename']; ?>" width="80" height="25" align="absmiddle">
        <span class="filename">&nbsp;File: <?php print $msgInfo['attfilename']; ?></span><span class="filesize"> (<?php print $filesize; ?>)</span>
    </form>
<?php
} else {
    print '<br />';
}
?>
            <pre><?php print $message; ?></pre>
        </td>
    <tr>
        <td class="msgHeader" bgcolor="#416DBF" align="left" colspan="5" height="25" width="748">
            <?php
            if (($h == '') || ($h == 0)) {
                print "&nbsp;<a class=\"msgHeader\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $m . "&h=1" . "\">Strip HTML Tags</a>";
            } else {
                print "&nbsp;<a class=\"msgHeader\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $m . "\">Show HTML Tags</a>";
            }
            ?>
        </td>
    </tr>
</table>
<?php
// Setup the previous/next links.
?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="left">
<?php
if ($m > 1) {
    $num = $m - 1;
    print "      <span class=\"msgBack\"><a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous Message</a> |</span>\n";
}

if ($m < $msgno) {
    $num = $m + 1;
    print "      <span class=\"msgBack\"><a class=\"msgBack\" href=\"files-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next Message</a> |</span>\n";
}
print "      <span class=\"msgBack\"><a class=\"msgBack\" href=\"files-dispmsg.php?t=" . $t . "&d=" . $d . "\">Back to " . htmlspecialchars($db['desc']) . "</a></span>\n";
?>
        </td>
        <td align="right">
            <span class="msgBack"><a class="msgBack" href="./../index.php">Return to Home Page</a></span></td>
    </tr>
</table>
<?php

FilesFooter();                              // Display the webpage footer.

?>
