<?php
///////////////////////////////////////////////////////////////////////////////
// VADV-PHP Configuration File (03.07.23)                                    //
// You must edit the settings in this file in order to setup your server     //
// configuration to work with VADV-PHP. Edit ONLY the information between    //
// the single quotations! To set a value as blank, then put nothing between  //
// the two single quotation marks. To set a value as the default, then       //
// comment out that variable.                                                //
//                                                                           //
// This file should be located in your VADV-PHP include directory.           //
//                                                                           //
// After the initial configuration has been made and is working, it is       //
// recommended that you use the built-in configuration page to edit these    //
// values.                                                                   //
//                                                                           //
// Comments can be made by placing // at the beginning of the line.          //
///////////////////////////////////////////////////////////////////////////////


// -- Required VADV-PHP Settings --

// [Telnet]
// If your BBS is available to your users by telnet, then place the telnet
// address between the quotes.
// Default = none

$config['telnet'] = '';

// [Hostname]
// If your web server is not on the same computer as your BBS, then on the first
// line, put the computer hostname or IP. If it is on the same computer, then
// leave it blank. You should not set this to an Internet hostname or IP! The
// BBS should be accessible through a local network only.
// Default = none

$config['hostname'] = '';

// [FileHost]
// Like the hostname above, if your BBS files reside on a computer other than
// the one the BBS is on, you will need to specify an IP address or hostname to
// prefix all paths to that computer. The actual file directory is set below.
// Default = none

$config['filehost'] = '';

// [BBSDir]
// You must tell the program what directory your BBS lies in on the BBS server.
// Enter the full path to the main BBS directory.
// Default = c:/va

$config['bbsdir'] = 'C:/VA';

// [WebMaster]
// Set this to the email address of the webmaster. If users have any problems,
// they can email this person about the webpages.
// Default = webmaster@

$config['webmaster'] = 'webmaster@';


// -- Default User Settings --

// [GuestAcct]
// You can setup a guest account on your BBS and use its settings as the ones
// given to guest web users. If this value is set, then the guest settings
// below are NOT used! To turn this off, leave it blank or set to zero.
// Default = 0

$config['guestacct'] = '0';

// [UserSl]
// You should set this to the security level that web users should have. This
// will affect things like access to message areas, file areas or other parts
// of your BBS that they should not have access to. This is not used if you
// have specified a guest account above.
// Default = 15

$config['usersl'] = '15';

// [UserAccFlags]
// If you would like to give your web users special access flags, then set them
// here. Do not put any spaces in between the flags. Ex: useraccflags=ABC
// This is not used if you have specified a guest account above.
// Default = none

$config['useraccflags'] = '';

// [UserAge]
// You can set a default age for your web users so they will not have access to
// adult sections defined on your BBS. This is not used if you have specified a
// guest account above.
// Default = 0

$config['userage'] = '0';


// Other VADV-PHP Settings --

// [PurgeTime]
// You can set the number of days that an account may be idle before it is
// overwritten by a new user. This helps keep the number of inactive accounts
// down. To disable this feature, set it to 0 (zero). Be sure to also set the
// purge security levels or some special accounts may be accidentally erased!
// Default = 0

$config['purgetime'] = '0';

// [PurgeMinSecurityLevel]
// Working with the purge time, you can set the minimum and maximum security
// levels so special accounts and administrator account can be exempt.
// To disable this feature, set it to 0 (zero). Note: If the purge time or
// the minimum security level is set at zero, then this feature is disabled.
// Default = 0;

$config['purgeminlevel'] = '0';

// [PurgeMaxSecurityLevel]
// The maximum security level to be purged. If set to zero, then the maximum
// limit is set at 254. See above for more information about the purge settings.
// Default = 254;

$config['purgemaxlevel'] = '254';

// [NewUserReq]
// You may specify the required fields a new user must fill out during
// the registration process. This setting is in the form of an integer and is
// derived by adding up the values of the fields you wish to require. The values
// are:
//     Real Name:       1
//     Address:         2
//     City:            4
//     State:           8
//     Zip Code:        16
//     Phone Number:    32
//     Fax/Data Phone:  64
//     Birthday:        128
// Just select the fields you wish to require and add up the values. VADV-PHP
// requires that an username and password be entered, and is not an option.
// Default = 141 (Real Name, City, State, Birthday)

$config['newuserreq'] = '141';

// [Banned]
// You can ban certain user account numbers from being able to login to VADV-PHP.
// This is useful for system accounts, QWK accounts, guest accounts, or just to
// keep unruly users from having full access. To use this, enter the user account
// number inside of the quotes. Separate multiple accounts with a comma.
// Default = ''

$config['banned'] = '';

// [Refresh]
// Certain pages can be made to refresh after a number of seconds have expired.
// At this time it is the who's online pages (index.php and who.php). To disable
// set it to zero.
// Default = 0 (Disabled)

$config['refresh'] = '0';

?>