<?php
/*
 * ----------------------------------------------------------------------------
 * DispNet.php                                                       07/23/2003
 * This script will display the network listings.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-networks.inc.php');  // Include networks data.

ob_start('ob_gzhandler');                   // Turn on buffering and compression to speed things up.

if (isset($_GET['net'])) {                  // Set the passed variables.
    $netNo = $_GET['net'];
} else {
    $netNo = 0;
}

if (isset($_GET['l'])) {
    $startLine = $_GET['l'];
} else {
    $startLine = 0;
}

$netinfo = GetNetworkinfo();

if (!isset($netinfo[$netNo])) die('<br /><h4>Invalid network number! Please press the back button on your browser.</h4>');
?>
<html>

<head>
<title> <?php print $VA_MAIN['bbsname'] . ' - ' . $netinfo[$netNo]['desc'];?> Node List</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
</head>

<body text="#C0C0C0" bgcolor="#000000">
<font face="Courier New" color="#FFFFFF" size="3">
<p align="center"><b><?php print $VA_MAIN['bbsname'] . ' - ' . $netinfo[$netNo]['desc']; ?> Node List</b></font>
<hr color="#525552">

<div align="center">
    <center>
    <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="left">
<?php
$filename = $VA_SYSPATHS['data'] . '\netlist.' . $netNo;    // Set the filename.
$x = 0;

if ((!is_file($filename)) || (filesize($filename) == 0)) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Listed Nodes!</pre>\n";
} else {
    $file = file($filename);                // Read and close the file.

    // Print each line and convert heart codes to html.
    print "<pre><font size=\"2\">\n";
    $line = $startLine;
    for ($x = 0; (isset($file[$line]) && ($x < 200)); $x++) {
        print FixHeartColors($file[$line]) . '<br />';
        $line++;
    }
    print "</font></pre>\n";
}
?>
            </td>
        </tr>
    </table>
    </center>
    <p align="center">
<?php
if ($startLine >= 200) {$y = $startLine - 200; if ($y < 0) $y = 0; print "<font face=\"Verdana, Arial, Helvetica\" color=\"#FFFFFF\" size=\"2\"> - <a href=\"dispnet.php?net=" . $netNo . "&l=" . $y . "\"><font color=\"#FFFFFF\">Previous Page</font></a> - </font>\n"; }
if (($x >= 200) && (isset($file[$line + 1]))) print "<font face=\"Verdana, Arial, Helvetica\" color=\"#FFFFFF\" size=\"2\"> - <a href=\"dispnet.php?net=" . $netNo . "&l=" . $line . "\"><font color=\"#FFFFFF\">Next Page</font></a> - </font>\n";
?>
    </p>
</div>
</font>

<?php GlobalFooter(1); ?>

</body>

</html>

<?php ob_end_flush(); ?>
