<?php
/*
 * ----------------------------------------------------------------------------
 * EditUser.php                                                      07/24/2003
 * This script will allow users to edit thier personal information and
 * preferences.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-userfile.inc.php');  // Include user information.
require_once($includeDir . 'va-networks.inc.php');  // Include network information.

if (($USER['userno'] == 0) || ($USER['userno'] == $CONFIG['guestacct'])) die('<br /><h4>You do not have access to this page. Press the BACK button on your browser.</h4>');

$VA_NETWORKS = GetNetworkInfo();
$required = GetAccFlags($CONFIG['newuserreq']);   // Convert into a string.

?>
<html>

<head>
<title>Edit User</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<link rel="stylesheet" type="text/css" href="./../vconfig/VCONFIG.css" />
</head>

<body link="#FFFFFF" vlink="#FFFFFF" bgcolor="#000000">

<script language="javaScript">
<!--
function validate(form) {
    if (<?php if (is_int(strpos($required, 'A'))) print "\n(form.realname.value.length == 0) ||"; ?>
        <?php if (is_int(strpos($required, 'B'))) print "\n(form.address.value.length == 0) ||"; ?>
        <?php if (is_int(strpos($required, 'C'))) print "\n(form.city.value.length == 0) ||"; ?>
        <?php if (is_int(strpos($required, 'D'))) print "\n(form.state.value.length == 0) ||"; ?>
        <?php if (is_int(strpos($required, 'E'))) print "\n(form.zipcode.value.length == 0) ||"; ?>
        <?php if (is_int(strpos($required, 'F'))) print "\n(form.voice.value.length == 0) ||"; ?>
        <?php if (is_int(strpos($required, 'G'))) print "\n(form.data.value.length == 0) ||"; ?>
        (0 == 1)) {
        alert("Please fill out all required fields.");
        form.realname.focus();
        return false;
    }
}
//-->
</script>

<div align="center">
    <center>
	<table border="1" cellpadding="5" cellspacing="0" width="750" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">Edit User: <?php print $USER['handle']; ?></p>
                                    </td>
                                </tr>
                            </table>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <?php
                                        if (isset($_GET['error'])) {
                                            switch ($_GET['error']) {
                                                case 'realname':
                                                    $error = 'You must enter your real name.';
                                                    break;
                                                case 'address':
                                                    $error = 'You must enter your address.';
                                                    break;
                                                case 'city':
                                                    $error = 'You must enter your city.';
                                                    break;
                                                case 'state':
                                                    $error = 'You must enter your state.';
                                                    break;
                                                case 'zipcode':
                                                    $error = 'You must enter your zip code.';
                                                    break;
                                                case 'voice':
                                                    $error = 'You must enter your phone number.';
                                                    break;
                                                case 'data':
                                                    $error = 'You must enter your fax/data number.';
                                                    break;
                                            }
                                            print "<span class=\"footer\">--" . $error . '--</span><br />';
                                        }
                                        ?>
                                        <a class="footer" href="../index.php">Return to main BBS page.</a><br />
                                        <a class="footer" href="userinfo.php?u=<?php print $USER['userno']; ?>">Return to user information.</a>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" height="25">
                                        <p class="footer" align="center">Fields marked with "<font color="#FF0000">*</font>" are required.</p>
                                    </td>
                                </tr>
                                <form name="edituser" method="post" action="edituser_process.php" onsubmit="return validate(edituser)">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <input type="hidden" name="userno" value="<?php print $USER['userno']; ?>">
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Personal Information</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">User Number:</td>
                                        <td class="pre"><?php print $USER['userno']; ?></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Handle:</td>
                                        <td class="pre"><?php print $USER['handle']; ?></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Real Name:<?php if (is_int(strpos($required, 'A'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="realname" size="40" maxlength="40" value="<?php print $USER['realname']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Address:<?php if (is_int(strpos($required, 'B'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="address" size="40" maxlength="40" value="<?php print $USER['address']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">City:<?php if (is_int(strpos($required, 'C'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="city" size="32" maxlength="32" value="<?php print $USER['city']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">State:<?php if (is_int(strpos($required, 'D'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="state" size="3" maxlength="3" value="<?php print $USER['state']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Zip Code:<?php if (is_int(strpos($required, 'E'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="zipcode" size="10" maxlength="10" value="<?php print $USER['zipcode']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Phone Number:<?php if (is_int(strpos($required, 'F'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="phone1" size="12" maxlength="12" value="<?php print $USER['phone1']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Data/Fax Number:<?php if (is_int(strpos($required, 'G'))) print "<font color=\"#FF0000\">*</font>"; ?></td>
                                        <td><input type="text" name="phone2" size="12" maxlength="12" value="<?php print $USER['phone2']; ?>"></td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Change Password</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">New Password:</td>
                                        <td><input type="password" name="password" size="8" maxlength="8"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Verify Password:</td>
                                        <td><input type="password" name="verify" size="8" maxlength="8"></td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">Other Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Forward Email Address:</td>
                                        <td>
                                            <input type="text" name="mailfwd" size="12" value="<?php if (($USER['mailfwdflag'] == 1) && ($USER['mailfwduserno'] != '')) {print $USER['mailfwduserno'] . '@' . $USER['mailfwdnode'];} else if (($USER['mailfwdflag'] == 1) && ($USER['mailfwdhandle'] != '')) {print $USER['mailfwdhandle'] . '@' . $USER['mailfwdnode'];} ?>">
                                            <select name="mailfwdnetno" size="1">
                                                <option <?php if (($USER['mailfwdflag'] == 1) && ($USER['mailfwdnetno'] == 1) && ($USER['mailfwdnetnode'] == $VA_NEWORKS[1]['settings']['systemid'])) print 'selected '; ?> value="0">Local</option>
                                                <?php
                                                    $pos = 0;
                                                    $cnt = 0;
                                                    $net = array();
                                                    for ($x = 1; $pos < $VA_NETWORKS[0]; $x++) {
                                                        if (isset($VA_NETWORKS[$x])) {
                                                            if (($VA_NETWORKS[$x]['nettype'] != 2) && ($VA_NETWORKS[$x]['nettype'] != 5)) {
                                                                switch ($VA_NETWORKS[$x]['nettype']) {
                                                                    case 1:
                                                                        $type = 'VirtualNET';
                                                                        break;
                                                                    case 3:
                                                                        $type = 'Internet';
                                                                        break;
                                                                    case 4:
                                                                        $type = 'FIDOnet';
                                                                        break;
                                                                    case 9:
                                                                        $type = 'WWIVnet';
                                                                        break;
                                                                    default:
                                                                        $type = 'Unknown';
                                                                        break;
                                                                }
                                                                $net[$cnt]['netno']    = $x;
                                                                $net[$cnt]['desc']     = $VA_NETWORKS[$x]['desc'];
                                                                $net[$cnt]['sortdesc'] = strtolower($VA_NETWORKS[$x]['desc']);
                                                                $net[$cnt]['type']     = $type;
                                                                $cnt++;
                                                            }
                                                            $pos++;
                                                        }
                                                    }
                                                    // Organize the array alphabetically by description.
                                                    foreach ($net as $row) {
                                                        $sortarr[] = $row['sortdesc'];
                                                    }
                                                    array_multisort($sortarr, $net);

                                                    // Display the listing.
                                                    for ($x = 0; $x < count($net); $x++) {
                                                        if (($USER['mailfwdflag'] == 1) && ($USER['mailfwdnetno'] == $net[$x]['netno'])) {
                                                            print '<option selected value="' . $net[$x]['netno'] . '">' . $net[$x]['desc'] . ' (' . $net[$x]['type'] . ")</option>\n";
                                                        } else {
                                                            print '<option value="' . $net[$x]['netno'] . '">' . $net[$x]['desc'] . ' (' . $net[$x]['type'] . ")</option>\n";
                                                        }
                                                    }
                                                ?>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="reset" value="Reset" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                                <tr>
                                    <td colspan="2" height="25"></td>
                                </tr>
                                <tr>
                                    <td height="40" colspan="2">
                                        <p align="center" class="footer">
                                        <a class="footer" href="../index.php">Return to main BBS page.</a><br />
                                        <a class="footer" href="userinfo.php?u=<?php print $USER['userno']; ?>">Return to user information.</a>
                                        </p>
                                    </td>
                                </tr>

                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
