<?php
/*
 * ----------------------------------------------------------------------------
 * Index.php                                                         07/04/2003
 * Display VADV-PHP menu to mobile device.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');
require_once($includeDir . 'va-functions.inc.php');
require_once($includeDir . 'va-main.inc.php');

// Determine if browswer is HTML capable.
$url = parse_url(GetCurrentURL());
$pos = strrpos($url['path'], 'wap/');
$redirect = $url['scheme'] . '://' . $url['host'] . substr_replace($url['path'], '', $pos, 4);

if (strpos(strtolower($_SERVER["HTTP_ACCEPT"]), "vnd.wap.wml") > 0) {  // Check whether the browser/gateway says it accepts WML.
    $br = "WML";
} else {
    $browser = substr(trim($_SERVER["HTTP_USER_AGENT"]), 0, 4);
    if ($browser == "Noki" ||            // Nokia phones and emulators
        $browser == "Eric" ||            // Ericsson WAP phones and emulators
        $browser == "WapI" ||            // Ericsson WapIDE 2.0
        $browser == "MC21" ||            // Ericsson MC218
        $browser == "AUR " ||            // Ericsson R320
        $browser == "R380" ||            // Ericsson R380
        $browser == "UP.B" ||            // UP.Browser
        $browser == "WinW" ||            // WinWAP browser
        $browser == "UPG1" ||            // UP.SDK 4.0
        $browser == "upsi" ||            // another kind of UP.Browser ??
        $browser == "QWAP" ||            // unknown QWAPPER browser
        $browser == "Jigs" ||            // unknown JigSaw browser
        $browser == "Java" ||            // unknown Java based browser
        $browser == "Alca" ||            // unknown Alcatel-BE3 browser (UP based?)
        $browser == "MITS" ||            // unknown Mitsubishi browser
        $browser == "MOT-" ||            // unknown browser (UP based?)
        $browser == "My S" ||            // unknown Ericsson devkit browser ?
        $browser == "WAPJ" ||            // Virtual WAPJAG www.wapjag.de
        $browser == "fetc" ||            // fetchpage.cgi Perl script from www.wapcab.de
        $browser == "ALAV" ||            // yet another unknown UP based browser ?
        $browser == "Wapa")              // another unknown browser (Web based "Wapalyzer"?)
    {
        $br = "WML";
    } else {
        $br = "HTML";
    }
}

if ($br == "HTML") {
    header("Location: " . $redirect);
    die();
}

require_once('wml_header.php');
?>

<wml>

    <card title="VADV-PHP">
        <p mode="wrap" align="center">
            <b>Mobile VADV-PHP Home</b><br />
            <?php print $VA_MAIN['bbsname'] . "\n"; ?>
        </p>
        <p mode="nowrap">
            Choose:
            <br />
            <anchor>
                Who's Online
                <go href="who.php" />
            </anchor>
            <br />
            <anchor>
                Today's Callers
                <go href="todays_callers.php" />
            </anchor>
        </p>
        <?php include('mobile_footer.php'); ?>
    </card>

</wml>
